public static interface SqlStoredEndpointBuilderFactory.SqlStoredBuilders
| Modifier and Type | Method and Description |
|---|---|
default SqlStoredEndpointBuilderFactory.SqlStoredEndpointBuilder |
sqlStored(String path)
SQL Stored Procedure (camel-sql)
Perform SQL queries as a JDBC Stored Procedures using Spring JDBC.
|
default SqlStoredEndpointBuilderFactory.SqlStoredEndpointBuilder |
sqlStored(String componentName,
String path)
SQL Stored Procedure (camel-sql)
Perform SQL queries as a JDBC Stored Procedures using Spring JDBC.
|
default SqlStoredEndpointBuilderFactory.SqlStoredEndpointBuilder sqlStored(String path)
sql-stored:template
Path parameter: template (required)
Sets the StoredProcedure template to performpath - templatedefault SqlStoredEndpointBuilderFactory.SqlStoredEndpointBuilder sqlStored(String componentName, String path)
sql-stored:template
Path parameter: template (required)
Sets the StoredProcedure template to performcomponentName - to use a custom component name for the endpoint
instead of the default namepath - templateApache Camel